Subject: Re: [PATCH net-next 3/4] ice: allow matching on metadata

From: Simon Horman <[email-masked]>
Date: Sat, 1 Apr 2023 11:04:08 +0200

On Fri, Mar 31, 2023 at 12:57:46PM +0200, Michal Swiatkowski wrote:
> Add metadata matching criteria in the same place as protocol matching
> criteria. There is no need to add metadata as special words after
> parsing all lookups. Trade metadata in the same why as other lookups.
> 
> The one difference between metadata lookups and protocol lookups is
> that metadata doesn't impact how the packets looks like. Because of that
> ignore it when filling testing packet.
> 
> Match on tunnel type matadata always if tunnel type is different than
> TNL_LAST.

nit: checkpatch.pl --codespell tells me that 'matadata' is misspelt

> Signed-off-by: Michal Swiatkowski <[email-masked]>
> Reviewed-by: Piotr Raczynski <[email-masked]>

Reviewed-by: Simon Horman <[email-masked]>